Upgrade from lenny to Squeeze

Valic —  February 6, 2011 — Leave a comment

Debian has released a stable version of Debian 6.0 (Squeeze).

If you’re running previous version of Debian, you can easily upgrade.

1. Update all packages currently installed to the latest lenny versions

apt-get update

apt-get upgrade

2. Replace all occurrences of etch with Squeeze in the apt sources file (pico /etc/apt/sources.list).

Here’s an example of what the file could look like after the change:

deb http://ftp.ro.debian.org/debian/ squeeze main
deb-src http://ftp.ro.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

deb http://ftp.ro.debian.org/debian/ squeeze-updates main
deb-src http://ftp.ro.debian.org/debian/ squeeze-updates main

3. Update apt repository

apt-get update

4. Upgrade apt, dpkg and aptitude packages first

apt-get install apt dpkg aptitude

5. Do a dist-upgrade to upgrade the rest of the system

apt-get dist-upgrade

6. Reboot


7. Check the debian version

cat /etc/debian_version

It should read version 6.0.

Page 1 of 11